[File]
    lwinput.aui     : An input plugin for AviUtl
    lwmuxer.auf     : A filter plugin to multiplex file for AviUtl
    lwdumper.auf    : A filter plugin to dump file for AviUtl
    lwcolor.auc     : A color space conversion plugin for AviUtl

[lwinput.aui: L-SMASH Works File Reader]
    [Settings]
        You can open the settings dialog by "File" -> "General settings" -> "Input plugins configure" -> "L-SMASH Works File Reader".
        [File readers]
            L-SMASH Works File Reader tries in order of "Libav+L-SMASH" -> "AviSynth Script" -> "LW-Libav".
            + Libav+L-SMASH   : check box (default : checked)
                Enable a reader by libavcodec as decoder and L-SMASH as demuxer if checked.
            + AviSynth Script : check box (default : checked)
                Enable a reader for AviSynth Script files (*.avs) with avisynth.dll if checked.
            + VSScript        : check box (default : checked)
                Enable a reader for VapourSynth Script files (*.vpy) with vsscript.dll if checked.
            + LW-Libav        : check box (default : checked)
                Enable a reader by libavcodec as decoder and libavformat as demuxer if checked.
        [Decoders]
            Libav+L-SMASH and LW-Libav use libavcodec as a decoder.
            The following settings affect these readers.
            + threads : up-down control (default : 0)
                The number of threads to decode a stream by libavcodec.
                The value 0 means the number of threads is determined automatically and then the maximum value is up to 16.
            + Forward threshold : up-down control (default : 10)
                The threshold to decide whether a decoding starts from the closest RAP to get the requested video frame or doesn't.
                    * RAP is an abbreviation of random accessible point.
                Let's say
                  - the threshold is T,
                and
                  - you request to seek the M-th frame called f(M) from the N-th frame called f(N).
                If M > N and M - N <= T, then
                    the decoder tries to get f(M) by decoding frames from f(N) sequentially.
                If M < N or M - N > T, then
                    check the closest RAP at the first.
                    After the check, if the closest RAP is identical with the last RAP, do the same as the case M > N and M - N <= T.
                    Otherwise, the decoder tries to get f(M) by decoding frames from the frame which is the closest RAP sequentially.
            + Seek mode : combo box (default : Normal)
                How to process when any error occurs during decoding a video frame.
                    - Normal
                        This mode retries sequential decoding from the next closest RAP up to 3 cycles when any decoding error occurs.
                        If all 3 trial failed, retry sequential decoding from the last RAP by ignoring trivial errors.
                        Still error occurs, then return the last returned frame to postprocessors.
                    - Unsafe
                        This mode retries sequential decoding from the next closest RAP up to 3 cycles when any fatal decoding error occurs.
                        If all 3 trial failed, then return the last returned frame to postprocessors.
                    - Aggressive
                        This mode returns the last returned frame to postprocessors when any fatal decoding error occurs.
            + Preferred decoders : edit box (default : empty)
                Names of preferred decoder candidates separated by comma.
                For instance, if you prefer to use the 'h264_qsv' and 'mpeg2_qsv' decoders instead of the generally used 'h264' and 'mpeg2video'
                decoder, then specify as h264_qsv,mpeg2_qsv. The evaluations are done in the written order and the first matched decoder is used if any.
        [Video postprocessors]
            + Video scaler : combo box (default : Fast bilinear)
                The scaling algorithm for chroma upsamling.
                This settings is applied for progressive or non-YUV4:2:0 frames.
                For interlaced YUV4:2:0 frames, apply 5-3-7-1 interlaced YUV4:2:0 interpolation based on MPEG-2 Video chroma location.
            + VFR->CFR : check box (default : unchecked) / edit box (default : 60000 / 1001 )
                Output frame rate (numerator / denominator at frames per second) for VFR->CFR (Variable Frame Rate to Constant Frame Rate) conversion.
                If checked and set to a valid value, the conversion is achieved by padding and/or dropping frames at the specified frame rate.
                Otherwise, output frame rate is set to a computed average frame rate and the output process is performed by actual frame-by-frame.
            + LW48 output : check box (default : unchecked)
                LW48 is a pixel format and a color space defined in L-SMASH Works.
                The difference between LW48 and YC48 is the usual ranges of each component; Y/Cb/Cr.
                As a pixel format, a LW48 pixel consists of packed YUV 16:16:16, 48bpp 16Y 16Cb 16Cr, and
                the 2-byte value for each Y/Cb/Cr component is stored as little-endian.
                As a color space, the derivation of luminance and color-difference signals refers to Rec. ITU-R BT.601.
                  - Luminance signal
                    The black level corresponding to 4096 and the peak white level corresponding to 60160.
                  - Color-difference signal
                    The achromatic level corresponding to 32768 and the peak levels corresponding to 4096 and 61440.
                You should enable all function of lwcolor.auc if enabling this option,
                Note: LW48 is displayed as "Color Space : RGB" from the AviUtl side.
        [Audio postprocessors]
            + Audio delay : edit box (default : 0)
                Amount of audio delay relative to video stream in units of the number of PCM samples.
                Positive value means audio is delayed from the original and soundless PCM samples are inserted to the start.
                Negative value means audio is advanced from the original and the first samples are removed by the specified value.
            + Sampling rate : edit box (default : 0)
                Audio sampling rate or sampling frequency in units of Hz.
                The value 0 means audio stream is output to the buffer from the decoder via the resampler at the maximum sampling rate in audio stream.
                Otherwise, audio stream is output to the buffer from the decoder via the resampler at specified sampling rate.
            + Channel layout : edit box (default : Unspecified)
                Output audio channel layout.
                If unspecified, audio stream is output to the buffer from the decoder via the resampler at the channel layout
                which is the first maximum number of channels in audio stream.
                You can specify channel layout by combination of the name of a channel layout with separator (+) as follows.
                    - the name or mask of a single channel.
                        FL   (0x1)            = Front Left
                        FR   (0x2)            = Front Right
                        FC   (0x4)            = Front Center
                        LFE  (0x8)            = Low Frequency Effect
                        BL   (0x10)           = Back Left
                        BR   (0x20)           = Back Right
                        FLC  (0x40)           = Front Left of Center
                        FRC  (0x80)           = Front Right of Center
                        BC   (0x100)          = Back Center
                        SL   (0x200)          = Side Left
                        SR   (0x400)          = Side Right
                        TC   (0x800)          = Top Center
                        TFL  (0x1000)         = Top Front Left
                        TFC  (0x2000)         = Top Front Center
                        TFR  (0x4000)         = Top Front Right
                        TBL  (0x8000)         = Top Back Left
                        TBC  (0x10000)        = Top Back Center
                        TBR  (0x20000)        = Top Back Right
                        DL   (0x20000000)     = Stereo Downmixed Left
                        DR   (0x40000000)     = Stereo Downmixed Right
                        WL   (0x80000000)     = Wide Left
                        WR   (0x100000000)    = Wide Right
                        SDL  (0x200000000)    = Surround Direct Left
                        SDR  (0x400000000)    = Surround Direct Right
                        LFE2 (0x800000000)    = Low Frequency Effect 2
                        TSL  (0x1000000000)   = Top Side Left
                        TSR  (0x2000000000)   = Top Side Right
                        BFC  (0x4000000000)   = Bottom Front Center
                        BFL  (0x8000000000)   = Bottom Front Left
                        BFR  (0x10000000000)  = Bottom Front Right
                        SSL  (0x20000000000)  = Side Surround Left
                        SSR  (0x40000000000)  = Side Surround Right
                        TTL  (0x80000000000)  = Top Surround Left
                        TTR  (0x100000000000) = Top Surround Right
                            $ Example: standard ffmpeg based 5.1ch surround layout : FL+FR+FC+LFE+BL+BR = 0x3f
                    - the name of an usual channel layout.
                                            ffmpeg
                        mono           = FC
                        stereo         = FL+FR
                        2.1            = FL+FR+LFE
                        3.0            = FL+FR+FC
                        3.0(back)      = FL+FR+BC
                        3.1            = FL+FR+FC+LFE
                        4.0            = FL+FR+FC+BC
                        quad           = FL+FR+BL+BR
                        quad(side)     = FL+FR+SL+SR
                        4.1            = FL+FR+FC+LFE+BC
                        5.0            = FL+FR+FC+BL+BR
                        5.0(side)      = FL+FR+FC+SL+SR
                        5.1            = FL+FR+FC+LFE+BL+BR
                        6.0            = FL+FR+FC+BC+SL+SR
                        6.0(front)     = FL+FR+FLC+FRC+SL+SR
                        hexagonal      = FL+FR+FC+BL+BR+BC
                        6.1            = FL+FR+FC+LFE+BC+SL+SR
                        6.1(back)      = FL+FR+FC+LFE+BL+BR+BC
                        6.1(front)     = FL+FR+LFE+FLC+FRC+SL+SR
                        7.0            = FL+FR+FC+BL+BR+SL+SR
                        7.0(front)     = FL+FR+FC+FLC+FRC+SL+SR
                        7.1            = FL+FR+FC+LFE+BL+BR+SL+SR
                        7.1(wide)      = FL+FR+FC+LFE+BL+BR+FLC+FRC
                        7.1(wide-side) = FL+FR+FC+LFE+FLC+FRC+SL+SR
                        octagonal      = FL+FR+FC+BL+BR+BC+SL+SR
                        cube           = FL+FR+BL+BR+TFL+TFR+TBL+TBR
                        downmix        = DL+DR
                Note1: the above listed notations are the present things.
                       In the future, they might be changed.
                Note2: any version of AviUtl by the present (1.00) doesn't support previewing playback of 3 or more channels.
            + Mix level : slider control
                Audio mixing level multipliers.
                0.71 is identical with sqrt(1/2) (i.e. 0.707106781186547524401).
                    - Center   (default : 0.71)
                    - Surround (default : 0.71)
                    - LFE      (default : 0.00)
            + A/V sync correction : check box (default : checked)
                Try Audio/Visual synchronization at the first video frame if checked.
        [AviSynth Script specific]
            + AVS bit-depth : combo box (default : 8)
                Output video by assuming each component of video data returned by AviSynth is coded as specified bit-depth.
        [LW-Libav specific]
            + Create Index file : check box (default : checked)
                Create the index file (.lwi) if checked.
                The index file avoids parsing all frames in the input file at the next or later access.
                Parsing all frames is very important for frame accurate seek.
            + Libav video index : check box (default : unchecked) / edit box (default : -1)
                Try to activate a video stream specified if checked.
                The value -1 deactivates any video stream.
                If unchecked, try to activate a video stream which has the largest resolution.
            + Libav audio index : check box (default : unchecked) / edit box (default : -1)
                Try to activate a audio stream specified if checked.
                The value -1 deactivates any audio stream.
                If unchecked, try to activate the first detected audio stream.
            + Apply repeat flag : check box (default : checked)
                Reconstruct frames by the flags specified in video stream if checked and usable.
                Note that this option is ignored when VFR->CFR conversion is enabled.
            + Field dominance : combo box (default : Obey source flags)
                Which field, top or bottom, is displayed first.
                This settings is enabled only if one or more of the following conditions is true.
                    - 'Apply repeat flag' is checked.
                    - There is a video frame consisting of two separated field coded pictures.
            + Use cache dir : check box (default : checked)
                This settings is enabled only if the "Create Index file" checkbox is checked.
                Create the index file in a certain directory based on the contents of the "Cache directory path".
            + Delete old cache : check box (default : checked) / edit box (default : 30)
                This settings is enabled only if the "Use cache dir" checkbox is checked.
                When AviUtl starts and exits, search in the index file directory and deletes index files whose last access date is older than the specified number of days.
            + Cache directory path : edit box (default : empty)
                This settings is enabled only if the "Use cache dir" checkbox is checked.
                Specify the directory where you want to create the index file by absolute path.
                If the path entered in the edit box is valid, create the index file in the specified directory.
                If the path entered in the edit box is invalid, create an "lwi" directory in the same directory as lwinput.aui and create the index file in that directory.
        [Dummy reader]
            Dummy reader is used when deactivating video stream or the input file has no video stream
            since AviUtl can't handle any input file without video stream.
            + Dummy resolution : edit box (default : 720 x 480 )
                A resolution (width x height) of dummy video stream.
            + Dummy framerate  : edit box (default : 24 / 1 )
                A framerate (numerator / denominator at frames per second) of dummy video stream.
                Larger framerate helps more sample accurate editing.
            + Dummy colorspace : combo box (default : YUY2)
                A colorspace of dummy video stream.
        [Settings Dialog]
            + Wide Dialog : check box (default : unchecked)
                The layout of the settings dialog becomes two columns.
[lwmuxer.auf: L-SMASH Works Muxer]
    This plugin supports only file formats derived from ISO Base Media (ISO/IEC 14496-12) and QuickTime (MOV) currently.
    [Settings]
        You can open the settings dialog box by "File" -> "Export" -> "L-SMASH Works Muxer".
        + Chapter
            Specify a path of simple text file which describes chapters.
            For all ISO Base Media file format, a chapter list will be written.
            For iTunes MP4 (known as M4A, M4V ...) or QuickTime file format (known as MOV), a reference chapter track will be written.
        + Optimize for Progressive Download : check box (default : checked)
            Move overall necessary data to access and decode samples into the very front of the file at the end of muxing if checked.
[lwdumper.auf: L-SMASH Works Dumper]
    This plugin supports only file formats derived from ISO Base Media (ISO/IEC 14496-12) and QuickTime (MOV) currently.
    You can open the save dialog box by "File" -> "Export" -> "L-SMASH Works Dumper".
        + Dump File (*.txt)
            Write a text file which shows box structures.
        + Timecode v2 File (*.tmc)
            Write a mkvmerge timecode v2 file.
[lwcolor.auc: L-SMASH Works Color Space Converter]
    This plugin is used for the direct copying of LW48 into AviUtl internal YC48, and vice versa.
    That is, AviUtl can handle LW48 directly as if it is YC48.
    You can enable functions of this plugin by "Settings" -> "Color conversion" -> "LW ColorSpace".
    If enabled, there is no operation other than copy for LW48<->YC48 conversion.
